# Local IP Associations (local_ip_associations)

The resource lets users assign Local IPs to user Ports. This is a sub-resource of the Local IP resource.

Network v2

## local ip association create

Create Local IP Association

    openstack local ip association create
        [--fixed-ip <fixed-ip>]
        [--project-domain <project-domain>]
        <local-ip>
        <fixed-port>

--fixed-ip <fixed-ip>

  Fixed IP for Local IP Association

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

local-ip

  Local IP that the port association belongs to (Name or ID)

fixed-port

  The ID or Name of Port to allocate Local IP Association

## local ip association delete

Delete Local IP association(s)

    openstack local ip association delete
        <local-ip>
        <fixed-port-id>
        [<fixed-port-id> ...]

local-ip

  Local IP that the port association belongs to (Name or ID)

fixed-port-id

  The fixed port ID of Local IP Association

## local ip association list

List Local IP Associations

    openstack local ip association list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--fixed-port <fixed-port>]
        [--fixed-ip <fixed-ip>]
        [--host <host>]
        [--project-domain <project-domain>]
        <local-ip>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--fixed-port <fixed-port>

  List only local IP assocations with the specified fixed IP port (name or ID)

--fixed-ip <fixed-ip>

  List only local IP associations with the specified fixed IP

--host <host>

  List only local IP associations with the specified host

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

local-ip

  Local IP that port associations belongs to

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.